package com.jsowell.thirdparty.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 对接三方平台配置对象 thirdparty_secret_info
 *
 * @author jsowell
 * @date 2024-04-18
 */
public class ThirdpartySecretInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 对接平台名称
     */
    @Excel(name = "对接平台名称")
    private String platformName;

    /**
     * 对接平台类型
     */
    @Excel(name = "对接平台类型")
    private String platformType;

    /**
     * 接口地址前缀
     */
    @Excel(name = "接口地址前缀")
    private String urlPrefix;

    /**
     * 对接平台标识（使用组织机构代码）
     */
    @Excel(name = "对接平台标识", readConverterExp = "使=用组织机构代码")
    private String theirOperatorId;

    /**
     * 对接平台生成的唯一识别密钥
     */
    @Excel(name = "对接平台生成的唯一识别密钥")
    private String theirOperatorSecret;

    /**
     * 对接平台生成的消息密钥
     */
    @Excel(name = "对接平台生成的消息密钥")
    private String theirDataSecret;

    /**
     * 对接平台生成的初始化向量
     */
    @Excel(name = "对接平台生成的初始化向量")
    private String theirDataSecretIv;

    /**
     * 对接平台生成的签名密钥
     */
    @Excel(name = "对接平台生成的签名密钥")
    private String theirSigSecret;

    /**
     * 对接平台生成的公钥
     */
    private String theirPublicSecret;

    /**
     * 对接平台生成的私钥
     */
    private String theirPrivateSecret;

    /**
     * 我方生成的唯一识别密钥
     */
    @Excel(name = "我方生成的唯一识别密钥")
    private String ourOperatorSecret;

    /**
     * 我方生成的消息密钥
     */
    @Excel(name = "我方生成的消息密钥")
    private String ourDataSecret;

    /**
     * 我方生成的初始化向量
     */
    @Excel(name = "我方生成的初始化向量")
    private String ourDataSecretIv;

    /**
     * 我方生成的签名密钥
     */
    @Excel(name = "我方生成的签名密钥")
    private String ourSigSecret;

    /**
     * 我方生成的公钥
     */
    private String ourPublicSecret;

    /**
     * 我方生成的私钥
     */
    private String ourPrivateSecret;

    /**
     * 删除标识（0-正常；1-删除）
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setUrlPrefix(String urlPrefix) {
        this.urlPrefix = urlPrefix;
    }

    public String getUrlPrefix() {
        return urlPrefix;
    }

    public void setTheirOperatorId(String theirOperatorId) {
        this.theirOperatorId = theirOperatorId;
    }

    public String getTheirOperatorId() {
        return theirOperatorId;
    }

    public void setTheirOperatorSecret(String theirOperatorSecret) {
        this.theirOperatorSecret = theirOperatorSecret;
    }

    public String getTheirOperatorSecret() {
        return theirOperatorSecret;
    }

    public void setTheirDataSecret(String theirDataSecret) {
        this.theirDataSecret = theirDataSecret;
    }

    public String getTheirDataSecret() {
        return theirDataSecret;
    }

    public void setTheirDataSecretIv(String theirDataSecretIv) {
        this.theirDataSecretIv = theirDataSecretIv;
    }

    public String getTheirDataSecretIv() {
        return theirDataSecretIv;
    }

    public void setTheirSigSecret(String theirSigSecret) {
        this.theirSigSecret = theirSigSecret;
    }

    public String getTheirSigSecret() {
        return theirSigSecret;
    }

    public void setOurOperatorSecret(String ourOperatorSecret) {
        this.ourOperatorSecret = ourOperatorSecret;
    }

    public String getOurOperatorSecret() {
        return ourOperatorSecret;
    }

    public void setOurDataSecret(String ourDataSecret) {
        this.ourDataSecret = ourDataSecret;
    }

    public String getOurDataSecret() {
        return ourDataSecret;
    }

    public void setOurDataSecretIv(String ourDataSecretIv) {
        this.ourDataSecretIv = ourDataSecretIv;
    }

    public String getOurDataSecretIv() {
        return ourDataSecretIv;
    }

    public void setOurSigSecret(String ourSigSecret) {
        this.ourSigSecret = ourSigSecret;
    }

    public String getOurSigSecret() {
        return ourSigSecret;
    }

    public String getTheirPublicSecret() {
        return theirPublicSecret;
    }

    public void setTheirPublicSecret(String theirPublicSecret) {
        this.theirPublicSecret = theirPublicSecret;
    }

    public String getTheirPrivateSecret() {
        return theirPrivateSecret;
    }

    public void setTheirPrivateSecret(String theirPrivateSecret) {
        this.theirPrivateSecret = theirPrivateSecret;
    }

    public String getOurPublicSecret() {
        return ourPublicSecret;
    }

    public void setOurPublicSecret(String ourPublicSecret) {
        this.ourPublicSecret = ourPublicSecret;
    }

    public String getOurPrivateSecret() {
        return ourPrivateSecret;
    }

    public void setOurPrivateSecret(String ourPrivateSecret) {
        this.ourPrivateSecret = ourPrivateSecret;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("id", getId())
                .append("platformName", getPlatformName())
                .append("platformType", getPlatformType())
                .append("urlPrefix", getUrlPrefix())
                .append("theirOperatorId", getTheirOperatorId())
                .append("theirOperatorSecret", getTheirOperatorSecret())
                .append("theirDataSecret", getTheirDataSecret())
                .append("theirDataSecretIv", getTheirDataSecretIv())
                .append("theirSigSecret", getTheirSigSecret())
                .append("ourOperatorSecret", getOurOperatorSecret())
                .append("ourDataSecret", getOurDataSecret())
                .append("ourDataSecretIv", getOurDataSecretIv())
                .append("ourSigSecret", getOurSigSecret())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
